# Method: applications.tracks.releases.list

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.tracks.releases/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.tracks.releases/list#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.tracks.releases/list#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.tracks.releases/list#body.response_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.tracks.releases/list#body.ListReleaseSummariesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.tracks.releases/list#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.tracks.releases/list#try-it)

Returns the list of all releases for a given track. This excludes any releases that are obsolete.

### HTTP request

`GET https://androidpublisher.googleapis.com/androidpublisher/v3/{parent=applications/*/tracks/*}/releases`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent track, which owns this collection of releases. Format: applications/{packageName}/tracks/{track} |

### Request body

The request body must be empty.

### Response body

Response listing all releases for a given track that are either ready to be sent for review, in review, approved, not approved or available.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "releases": [ { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/applications.tracks.releases#ReleaseSummary`) } ] } ``` |

| Fields ||
|---|---|
| `releases[]` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/applications.tracks.releases#ReleaseSummary`)`` List of releases for this track. A maximum of 20 releases can be returned. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`